%define	upstream_name XML-XUpdate-LibXML
%define upstream_version 0.6.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 18
License:	MPL
Group:		Development/Perl
Summary:	Simple implementation of XUpdate format
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/release/%{upstream_name}

BuildArch:	noarch
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.20
BuildRequires:	perl-devel
BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(XML::LibXML::XPathContext)

Requires(pre):	libxml2
Requires(pre):  perl(XML::LibXML)
Requires(pre):	perl(XML::SAX)

%description
%{upstream_name} module for perl
Simple implementation of XUpdate format

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%preun -p /usr/bin/perl
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p /usr/bin/perl
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%doc Changes
%{_bindir}/xupdate
%{_mandir}/*/*
%{perl_vendorlib}/XML/*


%changelog
* Tue Nov 01 2022 umeabot <umeabot> 0.6.0-18.mga9
+ Revision: 1901217
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-17.mga8
+ Revision: 1498579
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-16.mga7
+ Revision: 1272825
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-15.mga6
+ Revision: 1036175
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.6.0-14.mga6
+ Revision: 968720
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 0.6.0-13.mga6
+ Revision: 854399
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-12.mga5
+ Revision: 740039
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.6.0-11.mga5
+ Revision: 725159
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-10.mga5
+ Revision: 686980
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-9.mga4
+ Revision: 516305
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-8.mga3
+ Revision: 375246
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.6.0-7.mga1
+ Revision: 31501
- mageia rebuild
- imported package perl-XML-XUpdate-LibXML

